Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI
Class GEVAPropertyColContainer

    java.lang.Object
      UI.GEVAControl
          UI.GEVAContainerControl
              UI.GEVAPropertyContainer
                  UI.GEVAPropertyColContainer

    public class GEVAPropertyColContainer

extends GEVAPropertyContainer

Property container that shows the name value property as name above value. Name becomes a heading to value, and value takes the whole space of the container so only one name/value control can be added

Author:
  eliottbartley

Nested Class Summary

Nested classes/interfaces inherited from class UI.GEVAContainerControl
`GEVAContainerControl.Controls`

Field Summary

Fields inherited from class UI.GEVAContainerControl
`controls`

Fields inherited from class UI.GEVAControl
`comment, dirtyListener, name, parent, title, type`

Constructor Summary
`GEVAPropertyColContainer(GEVADirtyListener dirtyListener, GEVAPageContainer parent)`

Method Summary
`void` | `add(GEVAControl control)` Add an awt component to the awt component that is this container.
`int` | `countComponents()` Abstract way for a container to know about its child's awt components.
`java.awt.Component` | `getComponent(int index)` Abstract way for a container to know about its child's awt components.

Methods inherited from class UI.GEVAContainerControl
`getText, load, save, setEnabled, setText, setVisible, setVisibleControlGroup, validate`

Methods inherited from class UI.GEVAControl
`addActionListener, fireActionEvent, getComment, getComponent, getName, getParent, getTitle, getType, isType, removeActionListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEVAPropertyColContainer

    public GEVAPropertyColContainer(GEVADirtyListener dirtyListener,
                                    GEVAPageContainer parent)

Method Detail

### add

    public void add(GEVAControl control)

  Description copied from class: `GEVAContainerControl`
  Add an awt component to the awt component that is this container. This also adds a tool tip to the control based on the comment, currently (2008y05M26d) only adds this tooltip if the component is a swing component. This must be always called (inheriting classes that override must super.add())

  Overrides:
    `add` in class `GEVAContainerControl`
  Parameters:
    `control` - The control to add

### getComponent

    public java.awt.Component getComponent(int index)

  Description copied from class: `GEVAControl`
  Abstract way for a container to know about its child's awt components.

  Specified by:
    `getComponent` in class `GEVAControl`
  Parameters:
    `index` - The index of the component to get
  Returns:
    The indexed awt component of the control

### countComponents

    public int countComponents()

  Description copied from class: `GEVAControl`
  Abstract way for a container to know about its child's awt components. Counts how many components the child has

  Specified by:
    `countComponents` in class `GEVAControl`
  Returns:
    The number (N) components the child has. getComponent(0)..getComponent(N-1) must all return valid components

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD